> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List fee categories

> Returns descriptions of all supported fee categories. Use this endpoint
to discover available categories when configuring fee configs.




## OpenAPI

````yaml openapi-v1.json get /fee_categories
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.188.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: >-
      Aggregated write-off amounts for lending accounts, computed from posted
      transactions.
    name: Write Off Amounts
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /fee_categories:
    summary: Fee Categories
    get:
      tags:
        - Fee Products
      summary: List fee categories
      description: |
        Returns descriptions of all supported fee categories. Use this endpoint
        to discover available categories when configuring fee configs.
      operationId: listFeeCategories
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/fee_category_description_list'
          description: List of fee category descriptions
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  schemas:
    fee_category_description_list:
      properties:
        fee_categories:
          items:
            $ref: '#/components/schemas/fee_category_description'
          type: array
      required:
        - fee_categories
      type: object
    fee_category_description:
      properties:
        category:
          $ref: '#/components/schemas/fee_category'
        category_type:
          $ref: '#/components/schemas/fee_category_type'
        description:
          description: Description of when this fee category fires.
          example: Fires when any outgoing ACH transaction (debit or credit) is posted.
          type: string
        display_name:
          description: Human-readable name for the fee category.
          example: ACH Outgoing
          type: string
      required:
        - category
        - category_type
        - description
        - display_name
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    fee_category:
      description: >
        The category of event that triggers or schedules this fee.

        Trigger-based categories (ach:*, wire:*, card:*, account:*) fire when a
        matching

        transaction is posted. Scheduled categories (schedule:*) fire on a
        time-based cadence.
      enum:
        - account:nsf
        - account:overdraft
        - account:statement_paper
        - ach:incoming
        - ach:incoming_credit_return
        - ach:incoming_debit_return
        - ach:outgoing
        - ach:outgoing_credit
        - ach:outgoing_credit_return
        - ach:outgoing_debit
        - card:atm_out_of_network
        - card:atm_withdrawal
        - card:cash_advance
        - card:cash_advance_financial_services
        - card:cash_advance_gaming_betting
        - card:cash_advance_quasi_cash
        - card:foreign_transaction
        - card:mcc_based
        - schedule:account_anniversary
        - schedule:daily_while_overdrawn
        - schedule:monthly
        - schedule:monthly_if_below_minimum
        - schedule:monthly_if_dormant
        - wire:incoming
        - wire:outgoing_domestic
        - wire:outgoing_international
      type: string
    fee_category_type:
      description: >-
        Whether the category fires on a transaction event or a time-based
        schedule.
      enum:
        - scheduled
        - trigger
      type: string
  responses:
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````